Arch Remove

From FreeCAD Documentation
Revision as of 21:54, 29 August 2021 by Roy 043 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Föregående: Arch Add.svg Add component
Nästa: Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Arch Remove

Menyplacering
Arch → Remove
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch Add/sv

Beskrivning

Remove verktyget låter dig göra 2 sorters operationer:

  • Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i Arch Add exemplet
  • Subtrahera en formbaserat objekt från en Arch komponent som en vägg eller struktur

The counterpart of this tool is the Arch Add.svg Arch Add tool.

Arch Remove example.jpg

I bilden ovan, så subtraheras en låda från en vägg

Bruk

  1. Välj en delkomponent inuti ett Arch objekt, eller:
  2. välj de objekt som ska subtraheras, och sedan den Arch komponent från vilken de ska subtraheras (arch komponenten måste vara den sista saken du väljer)
  3. Klicka på Arch Remove.png ta bort knappen

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Arch Remove.svg button, or ArchArch Remove.svg Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Föregående: Arch Add.svg Add component
Nästa: Survey Arch Survey.svg Arrow-right.svg